~uglyduck/uglyduck.srht.site

ref: 494dcd504bd6ebb68b59e8a04057b0a087570d38 uglyduck.srht.site/_posts/2020-05-06-fixing-localwp-on-fedora-32.md -rw-r--r-- 1.3 KiB
494dcd50 — Bradley Taunt tweaking overall design - still very much a WIP 8 months ago

id: 519 title: Fixing LocalWP on Fedora 32 date: 2020-05-06T14:32:04-04:00 author: Bradley Taunt layout: post guid: https://uglyduck.ca/?p=519 permalink: /fixing-localwp-on-fedora-32/ categories:

  • Technology summary: Fixing a known (and annoying) bug with LocalWP on the latest version of Fedora

I recently upgraded from Fedora 31 to 32 and everything went very smoothly – except for one application: LocalWP. After the upgrade, all local WordPress builds would fail and complain about two missing packages:

  • libnettle6
  • libhogweed4

After wasting far too much time rolling back to older LocalWP versions and reaching out into the community forums, I found a simply solution to the problem. You just need to download and install the following packages manually:

Although these packages are built for OpenSuse, it still worked perfectly fine for me. My hope is that this quick post might be helpful for others who possibly run into the same issue.

For reference, here is the Local Community ticket I created: Local not working with Fedora 32